from rest_framework.views import exception_handler
from rest_framework.response import Response
from rest_framework import status

def custom_exception_handler(exc, context):
    response = exception_handler(exc, context)

    if response is not None:
        data = response.data
        response.data = {}
        errors = []
        for field, value in data.items():
            if isinstance(value, list):
                value = ' '.join(value)
            errors.append(f'{value}')

        response.data['data'] = {}
        response.data['message'] = errors
        response.data['status'] = False

    return response

def custom_response(status=status.HTTP_200_OK, message='', data={}):
    return Response({'data': data,'message': message, 'status': True}, status=status)
